# Uses of Interface
org.springframework.web.server.WebExceptionHandler

Packages that use WebExceptionHandler
Package
Description
org.springframework.web.server.adapter
Implementations to adapt to the underlying `org.springframework.http.client.reactive` reactive HTTP adapter and `HttpHandler`.
org.springframework.web.server.handler
Provides common WebHandler implementations and a `WebHandlerDecorator`.

## Uses of WebExceptionHandler in org.springframework.web.server.adapter

Methods in org.springframework.web.server.adapter with parameters of type WebExceptionHandler
Modifier and Type
Method
Description
`WebHttpHandlerBuilder`
WebHttpHandlerBuilder.`exceptionHandler(WebExceptionHandler... handlers)`
Add the given exception handler(s).
Method parameters in org.springframework.web.server.adapter with type arguments of type WebExceptionHandler
Modifier and Type
Method
Description
`WebHttpHandlerBuilder`
WebHttpHandlerBuilder.`exceptionHandlers(Consumer<List<WebExceptionHandler>> consumer)`
Manipulate the "live" list of currently configured exception handlers.

## Uses of WebExceptionHandler in org.springframework.web.server.handler

Classes in org.springframework.web.server.handler that implement WebExceptionHandler
Modifier and Type
Class
Description
`class`
`ResponseStatusExceptionHandler`
Handle `ResponseStatusException` by setting the response status.
Methods in org.springframework.web.server.handler that return types with arguments of type WebExceptionHandler
Modifier and Type
Method
Description
`List<WebExceptionHandler>`
ExceptionHandlingWebHandler.`getExceptionHandlers()`
Return a read-only list of the configured exception handlers.
Constructor parameters in org.springframework.web.server.handler with type arguments of type WebExceptionHandler
Modifier
Constructor
Description
``
`ExceptionHandlingWebHandler(WebHandler delegate, List<WebExceptionHandler> handlers)`
Create an `ExceptionHandlingWebHandler` for the given delegate.